/* TOOLS PAGE */

.tools-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:24px;
    margin-top:40px;
}

.tool-card{
    background:#0b1224;
    border:1px solid rgba(255,255,255,0.08);
    border-radius:24px;
    padding:32px;
    transition:0.25s;
}

.tool-card:hover{
    transform:translateY(-4px);
    border-color:#8b5fff;
}

.tool-card h2{
    margin-bottom:24px;
    font-size:32px;
    line-height:1.1;
}

.tool-form{
    display:flex;
    flex-direction:column;
    gap:16px;
}

.tool-form input{
    width:100%;
    display:block;
    box-sizing:border-box;

    padding:18px;

    border-radius:16px;

    border:1px solid rgba(255,255,255,0.08);

    background:#111936;

    color:white;

    font-size:16px;

    outline:none;
}

.tool-form input:focus{
    border-color:#8b5fff;
}

.tool-form button{
    width:100%;

    padding:18px;

    border:none;

    border-radius:16px;

    font-size:16px;

    font-weight:700;

    cursor:pointer;

    background:linear-gradient(
        90deg,
        #8b5fff,
        #2ac9ff
    );

    color:white;
}

.tool-result{
    margin-top:28px;
}

.tool-result h3{
    font-size:42px;
    margin-bottom:10px;
}

.tool-result p{
    color:#8da2d8;
    font-size:18px;
}

/* MOBILE */

@media(max-width:768px){

    .tools-grid{
        grid-template-columns:1fr;
        gap:18px;
    }

    .tool-card{
        padding:24px;
        border-radius:20px;
    }

    .tool-card h2{
        font-size:24px;
        line-height:1.15;
        margin-bottom:20px;
    
        background:linear-gradient(
            90deg,
            #8b5fff,
            #2ac9ff
        );
    
        -webkit-background-clip:text;
        -webkit-text-fill-color:transparent;
    
        background-clip:text;
    }

    .tool-form{
        gap:14px;
    }

    .tool-form input{
        width:100%;
        display:block;
        box-sizing:border-box;

        padding:18px;

        background:#111936;
        color:white;

        border:1px solid rgba(255,255,255,0.08);

        border-radius:14px;

        font-size:16px;
    }

    .tool-form button{
        width:100%;

        padding:18px;

        border:none;

        border-radius:14px;

        background:linear-gradient(
            90deg,
            #8b5fff,
            #2ac9ff
        );

        color:white;

        font-size:16px;

        font-weight:700;
    }

    .tool-result{
        margin-top:24px;
    }

    .tool-result h3{
        font-size:42px;
    }

    .tool-result p{
        font-size:18px;
    }

}